<?php
/*
Plugin Name: LambertGroup - YouTube/FLV - Video Player with Bottom Playlist
Plugin URI: http://www.lambertgroup.ro/wordpress_plugins/LambertGroup_YouTube_FLV_Video_Player_with_Bottom_Playlist.html
Description: This plugin will allow you to insert an advanced video player which supports any type of video file that Flash Player supports: FLV /H.264 encoded video, MP4 , M4V, M4A , MOV, Mp4v, F4V, YouTube video files. RTMP (using FMS or RED5 ) and RTMP live streaming. It also plays Audio MP3 files. It supports Google Analytics.
Version: 1.1
Author: Lambert Group
Author URI: http://www.lambertgroup.ro
*/

//ini_set('display_errors', 0);
$lbg_vp1_path = trailingslashit(dirname(__FILE__));  //empty

//all the messages
$lbg_vp1_messages = array(
		'version' => '<div class="error">LBG - YouTube/FLV Video Player with Bottom Playlist plugin requires WordPress 3.0 or newer. <a href="http://codex.wordpress.org/Upgrading_WordPress">Please update!</a></div>',
		'data_saved' => 'Data Saved!',
		'xml_write_error_message' => 'Error writing XML file!',
		'xml_write_succes_message' => 'XML file generated with success!',
		'css_write_error_message' => 'Error writing CSS file!',
		'css_write_succes_message' => 'CSS file generated with success!',
		'empty_name' => 'Name - required',
		'empty_movie' => 'Movie/Instance/YouTube Link - required',
		'empty_category' => 'Category - required',
		'invalid_request' => 'Invalid Request!',
		'generate_for_this_player' => 'You can start customizing this player. Also, DON\'T FORGET to generate the playersetting.xml, playlist.xml and playerstyles.css files for this player',
	);

	
global $wp_version;

if ( !version_compare($wp_version,"3.0",">=")) {
	die ($lbg_vp1_messages['version']);
}




function lbg_vp1_activate() {
	//db creation, create admin options etc.
	global $wpdb;
	
	$lbg_collate = ' COLLATE utf8_general_ci';
	
	$sql0 = "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "lbg_players` (
			`id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
			`name` VARCHAR( 255 ) NOT NULL ,
			PRIMARY KEY ( `id` )
			);";
	
	$sql1 = "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "lbg_videosettings` (
	  `id` smallint(5) unsigned NOT NULL auto_increment,
	  `playerWidth` smallint(5) unsigned NOT NULL,
	  `playerHeight` smallint(5) unsigned NOT NULL,
	  `cssStylesPath` varchar(255) NOT NULL,
	  `xmlVideoPath` varchar(255) NOT NULL,
	  `showInfoBut` varchar(10) NOT NULL,
	  `loop` varchar(8) NOT NULL,
	  `autoPlay` varchar(8) NOT NULL,
	  `initialVolume` smallint(5) unsigned NOT NULL,
	  `FlashMediaServerVersion` smallint(5) unsigned NOT NULL,
	  `bufferTime` smallint(5) unsigned NOT NULL,
	  `fullScreenText` varchar(100) NOT NULL,
	  `normalScreenText` varchar(100) NOT NULL,
	  `shareText` varchar(100) NOT NULL,
	  `showPlaylistText` varchar(100) NOT NULL,
	  `hidePlaylistText` varchar(100) NOT NULL,
	  `movieInformationText` varchar(100) NOT NULL,
	  `qualityText` varchar(100) NOT NULL,
	  `rewindText` varchar(100) NOT NULL,
	  `playText` varchar(100) NOT NULL,
	  `pauseText` varchar(100) NOT NULL,
	  `showSubtitleText` varchar(100) NOT NULL,
	  `hideSubtitleText` varchar(100) NOT NULL,
	  `volumeText` varchar(100) NOT NULL,
	  `previousText` varchar(100) NOT NULL,
	  `nextText` varchar(100) NOT NULL,
	  `showButtonsDescription` varchar(10) NOT NULL,
	  `timerFont` varchar(100) NOT NULL,
	  `timerColor` varchar(8) NOT NULL,
	  `timerSize` smallint(5) unsigned NOT NULL,
	  `timerBold` varchar(10) NOT NULL,
	  `timerItalic` varchar(10) NOT NULL,
	  `movieTitleFont` varchar(100) NOT NULL,
	  `movieTitleColor` varchar(8) NOT NULL,
	  `movieTitleSize` smallint(5) unsigned NOT NULL,
	  `movieTitleBold` varchar(10) NOT NULL,
	  `movieTitleItalic` varchar(10) NOT NULL,
	  `controllersFontOFF` varchar(100) NOT NULL,
	  `controllersColorOFF` varchar(8) NOT NULL,
	  `controllersSizeOFF` smallint(5) unsigned NOT NULL,
	  `controllersBoldOFF` varchar(10) NOT NULL,
	  `controllersItalicOFF` varchar(10) NOT NULL,
	  `controllersFontON` varchar(100) NOT NULL,
	  `controllersColorON` varchar(8) NOT NULL,
	  `controllersSizeON` smallint(5) unsigned NOT NULL,
	  `controllersBoldON` varchar(10) NOT NULL,
	  `controllersItalicON` varchar(10) NOT NULL,
	  `showSubtitleBut` varchar(10) NOT NULL,
	  `behindSubtitlesColor` varchar(8) NOT NULL,
	  `behindSubtitlesTransparency` smallint(3) unsigned NOT NULL,
	  `subtitlesFont` varchar(100) NOT NULL,
	  `subtitlesColor` varchar(8) NOT NULL,
	  `subtitlesSize` smallint(3) unsigned NOT NULL,
	  `subtitlesBold` varchar(10) NOT NULL,
	  `subtitlesItalic` varchar(10) NOT NULL,
	  `watermarkPath` text NOT NULL,
	  `watermarkLink` text NOT NULL,
	  `borderBottomTopDimension` float unsigned NOT NULL,
	  `borderLeftRightDimension` float unsigned NOT NULL,
	  `borderColor` varchar(8) NOT NULL,
	  `borderTransparency` smallint(5) unsigned NOT NULL,
	  `volumeMainColor` varchar(8) NOT NULL,
	  `volumeFadedColor` varchar(8) NOT NULL,
	  `seekBarMainColor` varchar(8) NOT NULL,
	  `seekBarProgressBarColor` varchar(8) NOT NULL,
	  `seekBarBufferBarColor` varchar(8) NOT NULL,
	  `showCategsMenu` varchar(10) NOT NULL,
	  `sortCategs` varchar(10) NOT NULL,
	  `categsArrowColor` varchar(8) NOT NULL,
	  `elements` varchar(100) NOT NULL,
	  `categoriesTitleFontOFF` varchar(100) NOT NULL,
	  `categoriesTitleColorOFF` varchar(8) NOT NULL,
	  `categoriesTitleSizeOFF` smallint(5) unsigned NOT NULL,
	  `categoriesTitleBoldOFF` varchar(10) NOT NULL,
	  `categoriesTitleItalicOFF` varchar(10) NOT NULL,
	  `categoriesTitleFontON` varchar(100) NOT NULL,
	  `categoriesTitleColorON` varchar(8) NOT NULL,
	  `categoriesTitleSizeON` smallint(5) unsigned NOT NULL,
	  `categoriesTitleBoldON` varchar(10) NOT NULL,
	  `categoriesTitleItalicON` varchar(10) NOT NULL,
	  `categUnitBgColorOFF` varchar(8) NOT NULL,
	  `categUnitBottomLineColorOFF` varchar(8) NOT NULL,
	  `categoriesRegFontOFF` varchar(100) NOT NULL,
	  `categoriesRegColorOFF` varchar(8) NOT NULL,
	  `categoriesRegSizeOFF` smallint(5) unsigned NOT NULL,
	  `categoriesRegBoldOFF` varchar(10) NOT NULL,
	  `categoriesRegItalicOFF` varchar(10) NOT NULL,
	  `categUnitBgColorON` varchar(8) NOT NULL,
	  `categUnitBottomLineColorON` varchar(8) NOT NULL,
	  `categoriesRegFontON` varchar(100) NOT NULL,
	  `categoriesRegColorON` varchar(8) NOT NULL,
	  `categoriesRegSizeON` smallint(5) unsigned NOT NULL,
	  `categoriesRegBoldON` varchar(10) NOT NULL,
	  `categoriesRegItalicON` varchar(10) NOT NULL,
	  `playlistWidth` float unsigned NOT NULL,
	  `playlistHeight` float unsigned NOT NULL,
	  `playlistDistance` float unsigned NOT NULL,
	  `showPlaylistOnInit` varchar(10) NOT NULL,
	  `playlistBg` varchar(8) NOT NULL,
	  `playlistUnitBgColorOFF` varchar(8) NOT NULL,
	  `playlistUnitBorderColorOFF` varchar(8) NOT NULL,
	  `playlistUnitBgColorON` varchar(8) NOT NULL,
	  `playlistUnitBorderColorON` varchar(8) NOT NULL,
	  `scrollColorOFF` varchar(8) NOT NULL,
	  `scrollColorON` varchar(8) NOT NULL,
	  `initialYoutubeQuality` varchar(100) NOT NULL,
	  `qualitiesBgColor` varchar(8) NOT NULL,
	  `qualitiesFontOFF` varchar(100) NOT NULL,
	  `qualitiesColorOFF` varchar(8) NOT NULL,
	  `qualitiesSizeOFF` smallint(5) unsigned NOT NULL,
	  `qualitiesBoldOFF` varchar(10) NOT NULL,
	  `qualitiesItalicOFF` varchar(19) NOT NULL,
	  `qualitiesFontON` varchar(100) NOT NULL,
	  `qualitiesColorON` varchar(8) NOT NULL,
	  `qualitiesSizeON` smallint(5) unsigned NOT NULL,
	  `qualitiesBoldON` varchar(10) NOT NULL,
	  `qualitiesItalicON` varchar(10) NOT NULL,
	  `showShareBut` varchar(10) NOT NULL,
	  `shareFormBackgroundColor` varchar(8) NOT NULL,
	  `shareFormBackgroundTransparency` smallint(5) unsigned NOT NULL,
	  `shareFormButtonsColor` varchar(8) NOT NULL,
	  `shareFormLinkText` varchar(100) NOT NULL,
	  `shareFormEmbededText` varchar(100) NOT NULL,
	  `shareFormSendFriendText` varchar(100) NOT NULL,
	  `shareFormYourEmailText` varchar(100) NOT NULL,
	  `shareFormFriendEmailText` varchar(100) NOT NULL,
	  `shareFormPathToHtmlFile` text NOT NULL,
	  `mailSubject` text NOT NULL,
	  `mailContent` text NOT NULL,
	  `socialNetWorks` text NOT NULL,
	  `googleTrakingOn` varchar(10) NOT NULL,
	  `googleTrakingCode` varchar(100) NOT NULL,
	  `showSearch` varchar(10) NOT NULL,	  
	  `searchFont` varchar(100) NOT NULL,
	  `searchColor` varchar(8) NOT NULL,
	  `searchBgColor` varchar(8) NOT NULL,
	  `searchSize` smallint(5) unsigned NOT NULL,
	  `searchBold` varchar(10) NOT NULL,
	  `searchItalic` varchar(10) NOT NULL,
	  `searchInputTextLoadingMessage` varchar(100) NOT NULL,
	  `searchInputTextMessage` varchar(100) NOT NULL,
	  `playerstyles` longtext NOT NULL,
	  PRIMARY KEY  (`id`)
	);";
	
	$sql2 = "CREATE TABLE IF NOT EXISTS `". $wpdb->prefix . "lbg_videoplaylist` (
	  `id` int(10) unsigned NOT NULL auto_increment,
	  `playerid` int(10) unsigned NOT NULL,
	  `movie` text NOT NULL,
	  `rtmpServer` text NOT NULL,
	  `title` varchar(255) NOT NULL,
	  `desc` text NOT NULL,
	  `preview` text NOT NULL,
	  `imgplaylist` text NOT NULL,
	  `category` text NOT NULL,
	  `ord` int(10) unsigned NOT NULL,
	  PRIMARY KEY  (`id`)
	);";
	
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	dbDelta($sql0.$lbg_collate);
	dbDelta($sql1.$lbg_collate);
	dbDelta($sql2.$lbg_collate);
	
	//initialize the players table with the first player type
	$rows_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM ". $wpdb->prefix ."lbg_players;" ) );
	if (!$rows_count) {
		$wpdb->insert( 
			$wpdb->prefix . "lbg_players", 
			array( 
				'name' => 'Default Black'
			), 
			array(
				'%s'			
			) 
		);	
	}	
	
	// initialize the settings
	$rows_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM ". $wpdb->prefix ."lbg_videosettings;" ) );
	if (!$rows_count) {
		lbg_vp1_insert_settings_record(1);
	}	
	
	
	// initialize the playlist
	$rows_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM ". $wpdb->prefix . "lbg_videoplaylist;" ) );
	if (!$rows_count) {
		$wpdb->insert( 
			$wpdb->prefix . "lbg_videoplaylist", 
			array( 
				'playerid' => '1',
				'title' => 'YouTube video',
				'desc' => 'Enjoy nature in spring. You can delete the examples and start adding your own.',
				'movie' => 'http://www.youtube.com/watch?v=URWdssJNjSw', 
				'category' => 'Spring;Nature; ALL CATEGORIES',
				'ord' => 1
			), 
			array(
				'%d', 
				'%s',
				'%s',
				'%s',
				'%s',
				'%d'			
			) 
		);	
		$wpdb->insert( 
			$wpdb->prefix . "lbg_videoplaylist", 
			array(
				'playerid' => '1',
				'title' => 'HTTP streaming',
				'desc' => 'This is just an example of HTTP streaming. You can delete the examples and start adding your own.',
				'movie' => 'M2U00614.mp4', 
				'imgplaylist' => 'p1.jpg',
			 	'preview' => 'prev1.jpg',
				'category' => 'Ducks;Spring;Nature; ALL CATEGORIES',
				'ord' => 2
			), 
			array( 
				'%d',
				'%s',
				'%s',	
				'%s',
				'%s',					
				'%s',
				'%s',
				'%d'			
			) 
		);			
	}	

	
}


function lbg_vp1_uninstall() {
	global $wpdb;
	mysql_query("DROP TABLE `" . $wpdb->prefix . "lbg_videosettings`" );
	mysql_query("DROP TABLE `" . $wpdb->prefix . "lbg_videoplaylist`" );
	mysql_query("DROP TABLE `" . $wpdb->prefix . "lbg_players`" );
}

function lbg_vp1_insert_settings_record($player_id) {
	global $wpdb;
	$wpdb->insert( 
			$wpdb->prefix . "lbg_videosettings", 
			array( 
				'playerWidth' => 492, 
				'playerHeight' => 277,
				'cssStylesPath' => 'playerstyles_'.$player_id.'.css',
			    'xmlVideoPath' => 'playlist_'.$player_id.'.xml',
				'showInfoBut' => 'true',
				'loop' => 'true',
				'autoPlay' => 'false',
				'initialVolume' => 70,
			    'FlashMediaServerVersion' => 2,
				'bufferTime' => 3,
				'fullScreenText' => 'Full Screen',
				'normalScreenText' => 'Normal Mode',
				'shareText' => 'Share',
				'showPlaylistText' => 'Show Playlist',
				'hidePlaylistText' => 'Hide Playlist',
				'movieInformationText' => 'Movie Information',
				'qualityText' => 'Quality',
				'rewindText' => 'Rewind',
			    'playText' => 'PLAY',
				'pauseText' => 'PAUSE',
				'showSubtitleText' => 'Show Subtitle',
				'hideSubtitleText' => 'Hide Subtitle',
				'volumeText' => 'Volume',
			    'previousText' => 'Previous',
				'nextText' => 'Next',
				'showButtonsDescription' => 'true',
				'timerFont' => 'Verdana',
				'timerColor' => 'ffffff',
				'timerSize' => 10,
				'timerBold' => 'true',
				'timerItalic' => 'false',
				'movieTitleFont' => 'Verdana',
				'movieTitleColor' => 'ffffff',
				'movieTitleSize' => 10,
				'movieTitleBold' => 'true',
				'movieTitleItalic' => 'false',
				'controllersFontOFF' => 'Verdana',
				'controllersColorOFF' => 'ffffff',
				'controllersSizeOFF' => 11,
				'controllersBoldOFF' => 'true',
				'controllersItalicOFF' => 'false',
				'controllersFontON' => 'Verdana',
				'controllersColorON' => 'FF0000',
				'controllersSizeON' => 11,
				'controllersBoldON' => 'true',
				'controllersItalicON' => 'false',
				'showSubtitleBut' => 'false',
				'behindSubtitlesColor' => '000000',
				'behindSubtitlesTransparency' => 60,
				'subtitlesFont' => 'Verdana',
				'subtitlesColor' => 'FFFFFF',
				'subtitlesSize' => 12,
				'subtitlesBold' => 'false',
				'subtitlesItalic' => 'false',
				'watermarkPath' => 'a8d73ca69ea043b39a5aaed37087c848.png',
				'watermarkLink' => 'http://themeforest.net/user/LambertGroup',
				'borderBottomTopDimension' => 20,
				'borderLeftRightDimension' => 1,
				'borderColor' => '000000', 
				'borderTransparency' => 100, 
				'volumeMainColor' => 'ffffff', 
				'volumeFadedColor' => 'cccccc', 
				'seekBarMainColor' => '4a4948', 
				'seekBarProgressBarColor' => 'c2c1c1', 
				'seekBarBufferBarColor' => '999999', 
				'showCategsMenu' => 'true', 
				'sortCategs' => 'true', 
				'categsArrowColor' => 'ffffff',
				'elements' => 'Movies',
				'categoriesTitleFontOFF' => 'Verdana', 
				'categoriesTitleColorOFF' => 'ffffff', 
				'categoriesTitleSizeOFF' => 10, 
				'categoriesTitleBoldOFF' => 'true', 
				'categoriesTitleItalicOFF' => 'false', 
				'categoriesTitleFontON' => 'Verdana', 
				'categoriesTitleColorON' => 'FF0000', 
				'categoriesTitleSizeON' => 10, 
				'categoriesTitleBoldON' => 'true', 
				'categoriesTitleItalicON' => 'false', 
				'categUnitBgColorOFF' => '000000', 
				'categUnitBottomLineColorOFF' => '404040', 
				'categoriesRegFontOFF' => 'Verdana', 
				'categoriesRegColorOFF' => '767676', 
				'categoriesRegSizeOFF' => 12, 
				'categoriesRegBoldOFF' => 'false', 
				'categoriesRegItalicOFF' => 'false', 
				'categUnitBgColorON' => '000000', 
				'categUnitBottomLineColorON' => '404040', 
				'categoriesRegFontON' => 'Verdana', 
				'categoriesRegColorON' => 'ffffff', 
				'categoriesRegSizeON' => 12, 
				'categoriesRegBoldON' => 'false', 
				'categoriesRegItalicON' => 'false', 
				'playlistWidth' => 290, 
				'playlistHeight' => 319, 
				'playlistDistance' => 2, 
				'showPlaylistOnInit' => 'true', 
				'playlistBg' => '2c2c2c', 
				'playlistUnitBgColorOFF' => '111111', 
				'playlistUnitBorderColorOFF' => '111111', 
				'playlistUnitBgColorON' => 'd7d7d7', 
				'playlistUnitBorderColorON' => 'd7d7d7', 
				'scrollColorOFF' => 'ffffff', 
				'scrollColorON' => 'ff0000', 
				'initialYoutubeQuality' => 'hd720', 
				'qualitiesBgColor' => '0f0908', 
				'qualitiesFontOFF' => 'standard 07_55', 
				'qualitiesColorOFF' => 'cccccc', 
				'qualitiesSizeOFF' => 8, 
				'qualitiesBoldOFF' => 'false', 
				'qualitiesItalicOFF' => 'false', 
				'qualitiesFontON' => 'standard 07_55', 
				'qualitiesColorON' => 'FF0000', 
				'qualitiesSizeON' => 8, 
				'qualitiesBoldON' => 'false', 
				'qualitiesItalicON' => 'false', 
				'showShareBut' => 'true', 
				'shareFormBackgroundColor' => '484848', 
				'shareFormBackgroundTransparency' => 90, 
				'shareFormButtonsColor' => '000000', 
				'shareFormLinkText' => 'Link to this video:',
				'shareFormEmbededText' => 'Embed this video:', 
				'shareFormSendFriendText' => 'Send to a friend:',
				'shareFormYourEmailText' => 'Your e-mail:',
				'shareFormFriendEmailText' => 'Your friend\'s e-mail:',
				'shareFormPathToHtmlFile' => 'http://www.yoururl.com/path_to_the_player?', 
				'mailSubject' => 'Your friend recommended you to see this video',
				'mailContent' => '<![CDATA[Hello!<br/>Your friend thought you might be interested to see this video:<br/><a href="[videolink_txt]" target="_blank">See Recommended Video!</a>]]>',
				'socialNetWorks' => '<![CDATA[<p><a href="http://www.facebook.com/sharer.php?u=[videolink_txt]" target="_blank" class="socialNetWorksLink"><img src="social/facebook.png"></a></p><br><p><a href="http://twitter.com/home/?status=[videolink_txt]" target="_blank" class="socialNetWorksLink"><img src="social/twitter.png"></a></p><br><p><a href="http://digg.com/submit?phase=2&url=[videolink_txt]" target="_blank" class="socialNetWorksLink"><img src="social/digg.png"></a></p><br><p><a href="http://del.icio.us/post?url=[videolink_txt]" target="_blank" class="socialNetWorksLink"><img src="social/delicious.png"></a></p><br>]]>', 
				'googleTrakingOn' => 'true', 
				'googleTrakingCode' => 'UA-15421089-1',
				'showSearch' => 'true', 
				'searchFont' => 'Verdana', 
				'searchColor' => 'ffffff', 
				'searchBgColor' => '212121', 
				'searchSize' => 10, 
				'searchBold' => 'false', 
				'searchItalic' => 'false', 
				'searchInputTextLoadingMessage' => 'getting media titles...', 
				'searchInputTextMessage' => 'search media title',
				'playerstyles' => '
.playlistTitleOFF {
	color:#FFFFFF;
	font-family:Verdana;
	font-size:12px;
	font-weight:bold;
}	
.playlistDescOFF {
	color:#CCCCCC;
	font-family:Verdana;
	font-size:11px;
	font-weight:normal;
}
.playlistTitleON {
	color:#444444;
	font-family:Verdana;
	font-size:12px;
	font-weight:bold;
}	
.playlistDescON {
	color:#444444;
	font-family:Verdana;
	font-size:11px;
	font-weight:normal;
}
.infoTitle {
	color:#FFFFFF;
	font-family:Verdana;
	font-size:12px;
	font-weight:bold;
}
.infoDesc {
	margin:0;
	font-family:Verdana;
	padding:0;
	font-size:11px;
	font-weight:normal;
	color:#999999;
}
.infoLink {
	color:#FF0000;
	font-family:Verdana;
	font-size:10px;
	font-weight:bold;	
}
				'
			), 
			array( 
				'%d', 
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d', 
				'%d',
				'%d', 
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',		
				'%s',
				'%s',		
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%d',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%d',
				'%d',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',		
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',
				'%s',		
				'%s',
				'%s',
				'%d',
				'%s',
				'%s',
				'%s',
				'%s',		
				'%s'		
			) 
		);		
}


function lbg_vp1_video_init_sessions() {
	global $wpdb;
	if (!session_id()) {
		session_start();
		
		//initialize the session
		if (!isset($_SESSION['id'])) {
			$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_players) WHERE id = 1" );
			$row = $wpdb->get_row($safe_sql,ARRAY_A);
			$row=lbg_unstrip_array($row);		
    		$_SESSION['id'] = $row['id'];
    		$_SESSION['name'] = $row['name'];
		}		
	}
}


function lbg_vp1_video_load_styles() {
	if(strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false) {
		$page = (isset($_GET['page'])) ? $_GET['page'] : '';
		if(preg_match('/LBG_VP1/i', $page)) {
			wp_enqueue_style('lbg_bottom_playlist_player_video_css', plugins_url('css/styles.css', __FILE__));
			wp_enqueue_style('lbg_bottom_playlist_player_video_jquery-custom_css', plugins_url('css/custom-theme/jquery-ui-1.8.10.custom.css', __FILE__));
			wp_enqueue_style('lbg_bottom_playlist_player_video_colorpicker_css', plugins_url('css/colorpicker/colorpicker.css', __FILE__));
			//uploadify
			wp_enqueue_style('lbg_vimeo1_uploadify_css', plugins_url('js/uploadify/uploadify.css', __FILE__));			
		}
	}
}

function lbg_vp1_video_load_scripts() {
	$page = (isset($_GET['page'])) ? $_GET['page'] : '';
	if(preg_match('/LBG_VP1/i', $page)) {
		//loads scripts in admin
		//if (is_admin()) {
			//wp_deregister_script('jquery');
			wp_register_script('my-jquery', plugins_url('js/jquery-1.5.1.js', __FILE__));
			wp_enqueue_script('my-jquery');
			
			wp_register_script('my-jquery-ui-min', plugins_url('js/jquery-ui-1.8.10.custom.min.js', __FILE__));
			wp_enqueue_script('my-jquery-ui-min');
			
			wp_register_script('my-colorpicker', plugins_url('js/colorpicker/colorpicker.js', __FILE__));
			wp_enqueue_script('my-colorpicker');	

			wp_register_script('my-toggle', plugins_url('js/myToggle.js', __FILE__));
			wp_enqueue_script('my-toggle');
			
			//uploadify
			wp_register_script('my-uploadify', plugins_url('js/uploadify/jquery.uploadify.v2.1.4.min.js', __FILE__));
			wp_enqueue_script('my-uploadify');				
		
			
		//}
		
		//wp_enqueue_script('jquery');
		//wp_enqueue_script('jquery-ui-core');
		//wp_enqueue_script('jquery-ui-sortable');
		//wp_enqueue_script('thickbox');
		//wp_enqueue_script('media-upload');
		//wp_enqueue_script('farbtastic');
	}
	//loads scripts in front-end
	//wp_enqueue_script('jquery');
	wp_enqueue_script('swfobject');

}



// adds the menu pages
function lbg_vp1_plugin_menu() {
	add_menu_page('LBG VP1 Admin Interface', 'LBG VP1', 'edit_posts', 'LBG_VP1', 'lbg_vp1_video_overview_page',
	plugins_url('images/lbg_video1_icon.png', __FILE__));
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Overview', 'Overview', 'edit_posts', 'LBG_VP1', 'lbg_vp1_video_overview_page');
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Manage Players', 'Manage Players', 'edit_posts', 'LBG_VP1_Manage_Players', 'lbg_vp1_video_player_manage_players_page');
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Manage Players Add New', 'Add New', 'edit_posts', 'LBG_VP1_Add_New', 'lbg_vp1_video_player_manage_players_add_new_page');
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Player Settings', 'Player Settings', 'edit_posts', 'LBG_VP1_Settings', 'lbg_vp1_video_player_settings_page');
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Player Playlist', 'Playlist', 'edit_posts', 'LBG_VP1_Playlist', 'lbg_vp1_video_player_playlist_page');
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Player CSS Styles', 'Player CSS Styles', 'edit_posts', 'LBG_VP1_Player_CSS', 'lbg_vp1_video_player_cssstyles_page');
	add_submenu_page( 'LBG_VP1', 'LBG VP1 Help', 'Help', 'edit_posts', 'LBG_VP1_Help', 'lbg_vp1_video_player_help_page');
}


//HTML content for overview page
function lbg_vp1_video_overview_page()
{
	include_once($lbg_vp1_path . 'tpl/overview.php');
}

//HTML content for Manage Players
function lbg_vp1_video_player_manage_players_page()
{
	global $wpdb;
	global $lbg_vp1_messages;
	
	//delete player
	if (isset($_GET['id'])) {
		//delete the files
		$file_to_detele=plugin_dir_path(__FILE__) . 'lbg_vp1/playersettings_' .$_GET['id'].'.xml';
		if(file_exists($file_to_detele)) unlink($file_to_detele);		
		$file_to_detele=plugin_dir_path(__FILE__) . 'lbg_vp1/playlist_' .$_GET['id'].'.xml';
		if(file_exists($file_to_detele)) unlink($file_to_detele);
		$file_to_detele=plugin_dir_path(__FILE__) . 'lbg_vp1/playerstyles_' .$_GET['id'].'.css';
		if(file_exists($file_to_detele)) unlink($file_to_detele);
		
		//delete from videos, videos/imgplaylist, videos/previews
		$safe_sql=$wpdb->prepare( "SELECT movie,preview,imgplaylist FROM (".$wpdb->prefix ."lbg_videoplaylist) WHERE playerid=".$_GET['id'] );
		$result = $wpdb->get_results($safe_sql,ARRAY_A);
		foreach ( $result as $row ) 
		{
			$row=lbg_unstrip_array($row);
			//the video
			$file_to_detele=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/' .$row['movie'];
			if($row['movie']!='' && file_exists($file_to_detele)) unlink($file_to_detele);
			//the preview
			$file_to_detele=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/previews/' .$row['preview'];
			if($row['preview']!='' && file_exists($file_to_detele)) unlink($file_to_detele);			
			//the imgplaylist
			$file_to_detele=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/imgplaylist/' .$row['imgplaylist'];
			if($row['imgplaylist']!='' && file_exists($file_to_detele)) unlink($file_to_detele);			
		} 			
		

		//delete from wp_lbg_players
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_players WHERE id = ".$_GET['id']));
		
		//delete from wp_lbg_videosettings
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_videosettings WHERE id = ".$_GET['id']));

		//delete from wp_lbg_videoplaylist
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_videoplaylist WHERE playerid = ".$_GET['id']));
		
		//initialize the session
		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_players) ORDER BY id");
		$row = $wpdb->get_row($safe_sql,ARRAY_A);
		$row=lbg_unstrip_array($row);
		if ($row['id']) {
			$_SESSION['id']=$row['id'];
			$_SESSION['name']=$row['name'];
		}		
	}
	
	
	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_players) ORDER BY id" );
	$result = $wpdb->get_results($safe_sql,ARRAY_A);	
	include_once($lbg_vp1_path . 'tpl/players.php');

}


//HTML content for Manage Players - Add New
function lbg_vp1_video_player_manage_players_add_new_page()
{
	global $wpdb;
	global $lbg_vp1_messages;
	
	if($_POST['Submit'] == 'Add New') {
		$errors_arr=array();
		if (empty($_POST['name']))
			$errors_arr[]=$lbg_vp1_messages['empty_name'];

		if (count($errors_arr)) { 
				include_once($lbg_vp1_path . 'tpl/add_player.php'); ?>
				<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
		  	<?php } else { // no errors
					$wpdb->insert( 
						$wpdb->prefix . "lbg_players", 
						array( 
							'name' => $_POST['name']
						), 
						array( 
							'%s'			
						) 
					);	
					//insert default player settings for this new player
					lbg_vp1_insert_settings_record($wpdb->insert_id);
					?>
						<div class="wrap">
							<div id="lbg_logo">
								<h2>Manage Players - Add New Player</h2>
				 			</div>
							<div id="message" class="updated"><p><?php echo $lbg_vp1_messages['data_saved'];?></p><p><?php echo $lbg_vp1_messages['generate_for_this_player'];?></p></div>
							<div>
								<p>&raquo; <a href="?page=LBG_VP1_Add_New">Add New (player)</a></p>
								<p>&raquo; <a href="?page=LBG_VP1_Manage_Players">Back to Manage Players</a></p>
							</div>
						</div>	
		  	<?php }			
	} else {
		include_once($lbg_vp1_path . 'tpl/add_player.php');
	}

}


//HTML content for playersettings
function lbg_vp1_video_player_settings_page()
{
	global $wpdb;
	global $lbg_vp1_messages;
	
	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['id']=$_GET['id'];
		$_SESSION['name']=$_GET['name'];
	}

	//$wpdb->show_errors();
	/*if (check_admin_referer('lbg_vp1_settings_update')) {
		echo "update";		
	}*/
	
	
	if($_POST['Submit'] == 'Update Player Settings') {
		$_GET['xmlf']='';
		$except_arr=array('Submit','existingWatermarkPath','name');
		//upload watermark
		$err_upload='';
		if ($_FILES['watermarkPath']["tmp_name"]!='') {
			$permited_types = array('image/gif','image/jpeg','image/pjpeg','image/png');
			$err_upload=lbg_upload_file('watermarkPath',$permited_types,'lbg_vp1/',$_POST['existingWatermarkPath']);
			if ($err_upload) {
				echo '<div id="message" class="error"><p>'.$err_upload.'</p></div>';
				//$except_arr=array('Submit','existingWatermarkPath','watermarkPath');
			}		
		}
		//no upload errors or no upload at all
		if ($err_upload=='') {
			$wpdb->update( 
				$wpdb->prefix .'lbg_players', 
				array( 
				'name' => $_POST['name']
				), 
				array( 'id' => $_SESSION['id'] )
			);	
			$_SESSION['name']=stripslashes($_POST['name']);
						
			
			foreach ($_POST as $key=>$val){
				if (in_array($key,$except_arr)) {
					unset($_POST[$key]);
				}
			}
		
			$wpdb->update( 
				$wpdb->prefix .'lbg_videosettings', 
				$_POST, 
				array( 'id' => $_SESSION['id'] )
			);
			
			?>
			<div id="message" class="updated"><p><?php echo $lbg_vp1_messages['data_saved'];?></p></div>
	<?php 
		}
	}
	
	if ($_GET['xmlf']=='playersettings') {
		lbg_vp1_generate_videoSettings();
	}	
	
	//echo "WP_PLUGIN_URL: ".WP_PLUGIN_URL;
	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_videosettings) WHERE id = ".$_SESSION['id'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_unstrip_array($row);
	$_POST = $row; 
	$_POST['existingWatermarkPath']=$_POST['watermarkPath'];
	$_POST=lbg_unstrip_array($_POST);
		
	//echo "playerWidth: ".$row['playerWidth'];
	include_once($lbg_vp1_path . 'tpl/settings_form.php');
	
}

function lbg_vp1_video_player_playlist_page()
{
	global $wpdb;
	global $lbg_vp1_messages;
	
	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['id']=$_GET['id'];
		$_SESSION['name']=$_GET['name'];
	}	
	
	if ($_GET['xmlf']=='playlist') {
		lbg_vp1_generate_playlist();
	}	
	
	
	if ($_GET['xmlf']=='add_playlist_record') {
		if($_POST['Submit'] == 'Add Record') {
			$errors_arr=array();
			if (empty($_POST['movie']))
				 $errors_arr[]=$lbg_vp1_messages['empty_movie'];
			if (empty($_POST['category']))
				 $errors_arr[]=$lbg_vp1_messages['empty_category'];	

			if (count($errors_arr)) { 
				include_once($lbg_vp1_path . 'tpl/add_playlist_record.php'); ?>
				<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	  <?php } else { // all requested fields are filled

	  	if ($_FILES['imgplaylist']["tmp_name"]!='') {
			$permited_types = array('image/gif','image/jpeg','image/pjpeg','image/png');
			$err_upload[]=lbg_upload_file('imgplaylist',$permited_types,'lbg_vp1/videos/imgplaylist/');
		}
	  	if ($_FILES['preview']["tmp_name"]!='') {
			$permited_types = array('image/gif','image/jpeg','image/pjpeg','image/png');
			$err_upload[]=lbg_upload_file('preview',$permited_types,'lbg_vp1/videos/previews/');
		}		 	
		if (count($errors_arr)) { 
			include_once($lbg_vp1_path . 'tpl/add_playlist_record.php'); ?>
			<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	  	<?php } else { // no upload errors
				$max_ord = 1+$wpdb->get_var( $wpdb->prepare( "SELECT max(ord) FROM ". $wpdb->prefix ."lbg_videoplaylist WHERE playerid = ".$_SESSION['id'].";" ) );

				$wpdb->insert( 
					$wpdb->prefix . "lbg_videoplaylist", 
					array( 
						'playerid' => $_POST['playerid'],
						'movie' => $_POST['movie'],
						'rtmpServer' => $_POST['rtmpServer'],
						'title' => $_POST['title'],
						'desc' => $_POST['desc'],
						'preview' => $_POST['preview'],
						'imgplaylist' => $_POST['imgplaylist'],
						'category' => $_POST['category'],
						'ord' => $max_ord
					), 
					array( 
						'%d',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%s',
						'%d'			
					) 
				);	?>
					<div class="wrap">
						<div id="lbg_logo">
							<h2>Playlist for player: <span style="color:#FF0000; font-weight:bold;"><?=$_SESSION['name']?> - ID #<?=$_SESSION['id']?></span> - Add New</h2>
			 			</div>
						<div id="message" class="updated"><p><?php echo $lbg_vp1_messages['data_saved'];?></p></div>
						<div>
							<p>&raquo; <a href="?page=LBG_VP1_Playlist&xmlf=add_playlist_record">Add New</a></p>
							<p>&raquo; <a href="?page=LBG_VP1_Playlist">Back to Playlist</a></p>
						</div>
					</div>	
	  	<?php }
	  		}
		} else {
			include_once($lbg_vp1_path . 'tpl/add_playlist_record.php');	
		}
		
	} else {
		$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_videoplaylist) WHERE playerid = ".$_SESSION['id']." ORDER BY ord" );
		$result = $wpdb->get_results($safe_sql,ARRAY_A);

		//$_POST=lbg_unstrip_array($_POST);		
		include_once($lbg_vp1_path . 'tpl/playlist.php');
	}
}

function lbg_vp1_video_player_cssstyles_page()
{
	global $wpdb;
	global $lbg_vp1_messages;
	
	if (isset($_GET['id']) && isset($_GET['name'])) {
		$_SESSION['id']=$_GET['id'];
		$_SESSION['name']=$_GET['name'];
	}	


	//$wpdb->show_errors();
	
	
	if($_POST['Submit'] == 'Update CSS Styles') {
		$_GET['xmlf']='';
		$except_arr=array('Submit');
		foreach ($_POST as $key=>$val){
			if (in_array($key,$except_arr)) {
				unset($_POST[$key]);
			}
		}
		
		$wpdb->update( 
			$wpdb->prefix .'lbg_videosettings', 
			$_POST, 
			array( 'id' => $_SESSION['id'] )
		);
		?>
		<div id="message" class="updated"><p><?php echo $lbg_vp1_messages['data_saved'];?></p></div>
	<?php 
	}
	
	if ($_GET['xmlf']=='cssfile') {
		lbg_vp1_generate_cssFile();
	}	
	
	$safe_sql=$wpdb->prepare( "SELECT playerstyles FROM (".$wpdb->prefix ."lbg_videosettings) WHERE id = ".$_SESSION['id'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_unstrip_array($row);
	
	$_POST = $row; 
	$_POST=lbg_unstrip_array($_POST);
	include_once($lbg_vp1_path . 'tpl/css_form.php');	
}

function lbg_vp1_video_player_help_page()
{
	//include_once(plugins_url('tpl/help.php', __FILE__));
	include_once($lbg_vp1_path . 'tpl/help.php');
}


function lbg_vp1_shortcode($atts, $content=null) {
	global $wpdb;
	
	shortcode_atts( array('settings_id'=>'', 'bgcolor'=>'', 'init_category'=>'', 'init_movie_number'=>''), $atts);
	if ($atts['settings_id']=='')
		$atts['settings_id']=1;
	if ($atts['bgcolor']=='')
		$atts['bgcolor']='#FFFFFF';
	if ($atts['init_movie_number']=='')
		$atts['init_movie_number']='0';		
		
	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_videosettings) WHERE id = ".$atts['settings_id'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_unstrip_array($row);
	$playerWidth=$row['playerWidth']+2*$row['borderLeftRightDimension'];
	$playerHeight=$row['playerHeight']+5+2*$row['borderBottomTopDimension']+$row['playlistDistance']+$row['playlistHeight'];
	$url_to_swf = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
	$rand_no=rand(1000, 10000);
	/*return '
	<script>
		$(document).ready(
			function() {
			$("#lbg_vp1").flash({
       			 src: "'.$url_to_swf.'lbg_vp1/vp6.swf?'. time().'"
    		});
		}
	);
	</script>

<div id="lbg_vp1">
<p><a href="http://www.adobe.com/go/getflashplayer"><img alt="Get Adobe Flash player" src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" /></a></p>
</div>	
	';*/
	return '
<script type="text/javascript">
		var flashvars = {
			htmlPlayerSettings:"playersettings_'.$atts['settings_id'].'.xml",
			htmlCateg:"'.$atts['init_category'].'",
			htmlK:"'.$atts['init_movie_number'].'"
		};
		var params = {};
		params.wmode = "window";
    	params.allowFullScreen="true";
		params.bgColor = "'.$atts['bgcolor'].'";
		params.quality = "high";
		params.scale = "noscale";
		var attributes = {};
		swfobject.embedSWF("'.$url_to_swf.'lbg_vp1/vp6.swf?'.$rand_no.time().'", "lbg_vp1_'.$rand_no.'", "'.$playerWidth.'", "'.$playerHeight.'", "10.0.0", "expressInstall.swf",flashvars,params,attributes);
		</script>
<div id="lbg_vp1_'.$rand_no.'">
<p><a href="http://www.adobe.com/go/getflashplayer"><img alt="Get Adobe Flash player" src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" /></a></p>
</div>';
}



register_activation_hook(__FILE__,"lbg_vp1_activate"); //activate plugin and create the database
register_uninstall_hook(__FILE__, 'lbg_vp1_uninstall'); // on unistall delete all databases 
add_action('init', 'lbg_vp1_video_init_sessions');	// initialize sessions
add_action('init', 'lbg_vp1_video_load_styles');	// loads required styles
add_action('init', 'lbg_vp1_video_load_scripts');			// loads required scripts  
add_action('admin_menu', 'lbg_vp1_plugin_menu'); // create menus
add_shortcode('lbg_vp1', 'lbg_vp1_shortcode');				// LBG VP1 shortcode 









/** OTHER FUNCTIONS **/

//stripslashes for an entire array
function lbg_unstrip_array($array){
	foreach($array as &$val){
		if(is_array($val)){
			$val = unstrip_array($val);
		} else {
			$val = stripslashes($val);
			
		}
	}
	return $array;
}

//uploads a file
function lbg_upload_file ($the_file,$permited_types,$the_path,$previous_file='') {
	$err_str='';
	//echo "-----".plugin_dir_path(__FILE__)."-----<br>";
	if ($_FILES[$the_file]["tmp_name"]!='') {
		if (in_array($_FILES[$the_file]["type"],$permited_types)) {
	  		if ($_FILES[$the_file]["error"] > 0) {
	    		$err_str=$_FILES[$the_file]["error"];
	    	} else {
	    		/*echo "Upload: " . $_FILES[$the_file]["name"] . "<br />";
	    		echo "Type: " . $_FILES[$the_file]["type"] . "<br />";
	    		echo "Size: " . ($_FILES[$the_file]["size"] / 1024) . " Kb<br />";
	    		echo "Temp file: " . $_FILES[$the_file]["tmp_name"] . "<br />";*/
	
	    		/*if (file_exists(plugin_dir_path(__FILE__) . 'lbg_vp1/' . $_FILES[$the_file]["name"])) {
		      		$err_str=$_FILES[$the_file]["name"] . " already exists. ";
	    	  	} else {
	      			move_uploaded_file($_FILES[$the_file]["tmp_name"],	plugin_dir_path(__FILE__) . 'lbg_vp1/' . $_FILES[$the_file]["name"]);
	      			//echo "Stored in: " . plugin_dir_path(__FILE__) . "lbg_vp1/" . $_FILES[$the_file]["name"];
		      	}*/
	    		
	    		//delete previous image first
	    		if ($previous_file!='') {
					$foto=plugin_dir_path(__FILE__) . $the_path .$previous_file;
					if($previous_file!='' && file_exists($foto)) unlink($foto);
	    		}
	    		
	    		move_uploaded_file($_FILES[$the_file]["tmp_name"],	plugin_dir_path(__FILE__) . $the_path . $_FILES[$the_file]["name"]);
	    		
	    		//rename file
				$oldname=plugin_dir_path(__FILE__) . $the_path . $_FILES[$the_file]["name"]; 
				$newname=time().'__'.$_FILES[$the_file]["name"];
				rename($oldname,plugin_dir_path(__FILE__) . $the_path .$newname);
	    		$_POST[$the_file]=$newname;
	    	}
	  	} else {
	  		$err_str="Invalid file";
	  	}	
	  	
	}
  	return $err_str;
}




function lbg_vp1_generate_videoSettings() {
	global $wpdb;
	global $lbg_vp1_messages;
	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_videosettings) WHERE id = ".$_SESSION['id'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_unstrip_array($row);	
	
	
	//write xml start
	$filename=plugin_dir_path(__FILE__) . 'lbg_vp1/playersettings_'.$_SESSION['id'].'.xml';
	$str='<?xml version="1.0" encoding="utf-8"?>
<playersettings>
<record>';
	$str.='
	<playerWidth>'.$row['playerWidth'].'</playerWidth>
	';
	$str.='<playerHeight>'.$row['playerHeight'].'</playerHeight>
	';
	$str.='<cssStylesPath>'.$row['cssStylesPath'].'</cssStylesPath>
	';
	$str.='<xmlVideoPath>'.$row['xmlVideoPath'].'</xmlVideoPath>
	';
	$str.='<showInfoBut>'.$row['showInfoBut'].'</showInfoBut>
	';
	$str.='<loop>'.$row['loop'].'</loop>
	';
	$str.='<autoPlay>'.$row['autoPlay'].'</autoPlay>
	';
	$str.='<initialVolume>'.$row['initialVolume'].'</initialVolume>
	';
	$str.='<FlashMediaServerVersion>'.$row['FlashMediaServerVersion'].'</FlashMediaServerVersion>
	';
	$str.='<bufferTime>'.$row['bufferTime'].'</bufferTime>
	';
	$str.='<fullScreenText>'.$row['fullScreenText'].'</fullScreenText>
	';
	$str.='<normalScreenText>'.$row['normalScreenText'].'</normalScreenText>
	';
	$str.='<shareText>'.$row['shareText'].'</shareText>
	';
	$str.='<showPlaylistText>'.$row['showPlaylistText'].'</showPlaylistText>
	';
	$str.='<hidePlaylistText>'.$row['hidePlaylistText'].'</hidePlaylistText>
	';
	$str.='<movieInformationText>'.$row['movieInformationText'].'</movieInformationText>
	';
	$str.='<qualityText>'.$row['qualityText'].'</qualityText>
	';	
	$str.='<rewindText>'.$row['rewindText'].'</rewindText>
	';							
	$str.='<playText>'.$row['playText'].'</playText>
	';
	$str.='<pauseText>'.$row['pauseText'].'</pauseText>
	';
	$str.='<showSubtitleText>'.$row['showSubtitleText'].'</showSubtitleText>
	';
	$str.='<hideSubtitleText>'.$row['hideSubtitleText'].'</hideSubtitleText>
	';			
	$str.='<volumeText>'.$row['volumeText'].'</volumeText>
	';
	$str.='<previousText>'.$row['previousText'].'</previousText>
	';
	$str.='<nextText>'.$row['nextText'].'</nextText>
	';															
	

	$str.='<showButtonsDescription>'.$row['showButtonsDescription'].'</showButtonsDescription>
	';
	$str.='<timerFont>'.$row['timerFont'].'</timerFont>
	';
	$str.='<timerColor>0x'.$row['timerColor'].'</timerColor>
	';
	$str.='<timerSize>'.$row['timerSize'].'</timerSize>
	';
	$str.='<timerBold>'.$row['timerBold'].'</timerBold>
	';
	$str.='<timerItalic>'.$row['timerItalic'].'</timerItalic>
	';
	$str.='<movieTitleFont>'.$row['movieTitleFont'].'</movieTitleFont>
	';
	$str.='<movieTitleColor>0x'.$row['movieTitleColor'].'</movieTitleColor>
	';
	$str.='<movieTitleSize>'.$row['movieTitleSize'].'</movieTitleSize>
	';
	$str.='<movieTitleBold>'.$row['movieTitleBold'].'</movieTitleBold>
	';
	$str.='<movieTitleItalic>'.$row['movieTitleItalic'].'</movieTitleItalic>
	';
	$str.='<controllersFontOFF>'.$row['controllersFontOFF'].'</controllersFontOFF>
	';
	$str.='<controllersColorOFF>0x'.$row['controllersColorOFF'].'</controllersColorOFF>
	';
	$str.='<controllersSizeOFF>'.$row['controllersSizeOFF'].'</controllersSizeOFF>
	';
	$str.='<controllersBoldOFF>'.$row['controllersBoldOFF'].'</controllersBoldOFF>
	';
	$str.='<controllersItalicOFF>'.$row['controllersItalicOFF'].'</controllersItalicOFF>
	';
	$str.='<controllersFontON>'.$row['controllersFontON'].'</controllersFontON>
	';
	$str.='<controllersColorON>0x'.$row['controllersColorON'].'</controllersColorON>
	';
	$str.='<controllersSizeON>'.$row['controllersSizeON'].'</controllersSizeON>
	';
	$str.='<controllersBoldON>'.$row['controllersBoldON'].'</controllersBoldON>
	';
	$str.='<controllersItalicON>'.$row['controllersItalicON'].'</controllersItalicON>
	';
	$str.='<showSubtitleBut>'.$row['showSubtitleBut'].'</showSubtitleBut>
	';
	$str.='<behindSubtitlesColor>0x'.$row['behindSubtitlesColor'].'</behindSubtitlesColor>
	';
	$str.='<behindSubtitlesTransparency>'.$row['behindSubtitlesTransparency'].'</behindSubtitlesTransparency>
	';
	$str.='<subtitlesFont>'.$row['subtitlesFont'].'</subtitlesFont>
	';
	$str.='<subtitlesColor>0x'.$row['subtitlesColor'].'</subtitlesColor>
	';
	$str.='<subtitlesSize>'.$row['subtitlesSize'].'</subtitlesSize>
	';
	$str.='<subtitlesBold>'.$row['subtitlesBold'].'</subtitlesBold>
	';
	$str.='<subtitlesItalic>'.$row['subtitlesItalic'].'</subtitlesItalic>
	';
	$str.='<watermarkPath>'.$row['watermarkPath'].'</watermarkPath>
	';
	$str.='<watermarkLink>'.$row['watermarkLink'].'</watermarkLink>
	';
	$str.='<borderBottomTopDimension>'.$row['borderBottomTopDimension'].'</borderBottomTopDimension>
	';
	$str.='<borderLeftRightDimension>'.$row['borderLeftRightDimension'].'</borderLeftRightDimension>
	';
	$str.='<borderColor>0x'.$row['borderColor'].'</borderColor>
	';
	$str.='<borderTransparency>'.$row['borderTransparency'].'</borderTransparency>
	';
	$str.='<volumeMainColor>0x'.$row['volumeMainColor'].'</volumeMainColor>
	';
	$str.='<volumeFadedColor>0x'.$row['volumeFadedColor'].'</volumeFadedColor>
	';
	$str.='<seekBarMainColor>0x'.$row['seekBarMainColor'].'</seekBarMainColor>
	';
	$str.='<seekBarProgressBarColor>0x'.$row['seekBarProgressBarColor'].'</seekBarProgressBarColor>
	';
	$str.='<seekBarBufferBarColor>0x'.$row['seekBarBufferBarColor'].'</seekBarBufferBarColor>
	';
	$str.='<showCategsMenu>'.$row['showCategsMenu'].'</showCategsMenu>
	';
	$str.='<sortCategs>'.$row['sortCategs'].'</sortCategs>
	';
	$str.='<categsArrowColor>0x'.$row['categsArrowColor'].'</categsArrowColor>
	';
	$str.='<elements>'.$row['elements'].'</elements>
	';	
	$str.='<categoriesTitleFontOFF>'.$row['categoriesTitleFontOFF'].'</categoriesTitleFontOFF>
	';
	$str.='<categoriesTitleColorOFF>0x'.$row['categoriesTitleColorOFF'].'</categoriesTitleColorOFF>
	';
	$str.='<categoriesTitleSizeOFF>'.$row['categoriesTitleSizeOFF'].'</categoriesTitleSizeOFF>
	';
	$str.='<categoriesTitleBoldOFF>'.$row['categoriesTitleBoldOFF'].'</categoriesTitleBoldOFF>
	';
	$str.='<categoriesTitleItalicOFF>'.$row['categoriesTitleItalicOFF'].'</categoriesTitleItalicOFF>
	';
	$str.='<categoriesTitleFontON>'.$row['categoriesTitleFontON'].'</categoriesTitleFontON>
	';
	$str.='<categoriesTitleColorON>0x'.$row['categoriesTitleColorON'].'</categoriesTitleColorON>
	';
	$str.='<categoriesTitleSizeON>'.$row['categoriesTitleSizeON'].'</categoriesTitleSizeON>
	';
	$str.='<categoriesTitleBoldON>'.$row['categoriesTitleBoldON'].'</categoriesTitleBoldON>
	';
	$str.='<categoriesTitleItalicON>'.$row['categoriesTitleItalicON'].'</categoriesTitleItalicON>
	';
	$str.='<categUnitBgColorOFF>0x'.$row['categUnitBgColorOFF'].'</categUnitBgColorOFF>
	';
	$str.='<categUnitBottomLineColorOFF>'.$row['categUnitBottomLineColorOFF'].'</categUnitBottomLineColorOFF>
	';
	$str.='<categoriesRegFontOFF>'.$row['categoriesRegFontOFF'].'</categoriesRegFontOFF>
	';
	$str.='<categoriesRegColorOFF>0x'.$row['categoriesRegColorOFF'].'</categoriesRegColorOFF>
	';
	$str.='<categoriesRegSizeOFF>'.$row['categoriesRegSizeOFF'].'</categoriesRegSizeOFF>
	';
	$str.='<categoriesRegBoldOFF>'.$row['categoriesRegBoldOFF'].'</categoriesRegBoldOFF>
	';
	$str.='<categoriesRegItalicOFF>'.$row['categoriesRegItalicOFF'].'</categoriesRegItalicOFF>
	';
	$str.='<categUnitBgColorON>0x'.$row['categUnitBgColorON'].'</categUnitBgColorON>
	';
	$str.='<categUnitBottomLineColorON>0x'.$row['categUnitBottomLineColorON'].'</categUnitBottomLineColorON>
	';
	$str.='<categoriesRegFontON>'.$row['categoriesRegFontON'].'</categoriesRegFontON>
	';
	$str.='<categoriesRegColorON>0x'.$row['categoriesRegColorON'].'</categoriesRegColorON>
	';
	$str.='<categoriesRegSizeON>'.$row['categoriesRegSizeON'].'</categoriesRegSizeON>
	';
	$str.='<categoriesRegBoldON>'.$row['categoriesRegBoldON'].'</categoriesRegBoldON>
	';
	$str.='<categoriesRegItalicON>'.$row['categoriesRegItalicON'].'</categoriesRegItalicON>
	';
	$str.='<playlistWidth>'.$row['playlistWidth'].'</playlistWidth>
	';
	$str.='<playlistHeight>'.$row['playlistHeight'].'</playlistHeight>
	';
	$str.='<playlistDistance>'.$row['playlistDistance'].'</playlistDistance>
	';
	$str.='<showPlaylistOnInit>'.$row['showPlaylistOnInit'].'</showPlaylistOnInit>
	';									
	$str.='<playlistBg>0x'.$row['playlistBg'].'</playlistBg>
	';
	$str.='<playlistUnitBgColorOFF>0x'.$row['playlistUnitBgColorOFF'].'</playlistUnitBgColorOFF>
	';
	$str.='<playlistUnitBorderColorOFF>0x'.$row['playlistUnitBorderColorOFF'].'</playlistUnitBorderColorOFF>
	';
	$str.='<playlistUnitBgColorON>0x'.$row['playlistUnitBgColorON'].'</playlistUnitBgColorON>
	';
	$str.='<playlistUnitBorderColorON>0x'.$row['playlistUnitBorderColorON'].'</playlistUnitBorderColorON>
	';
	$str.='<scrollColorOFF>0x'.$row['scrollColorOFF'].'</scrollColorOFF>
	';
	$str.='<scrollColorON>0x'.$row['scrollColorON'].'</scrollColorON>
	';
	$str.='<initialYoutubeQuality>'.$row['initialYoutubeQuality'].'</initialYoutubeQuality>
	';
	$str.='<qualitiesBgColor>0x'.$row['qualitiesBgColor'].'</qualitiesBgColor>
	';
	$str.='<qualitiesFontOFF>'.$row['qualitiesFontOFF'].'</qualitiesFontOFF>
	';
	$str.='<qualitiesColorOFF>0x'.$row['qualitiesColorOFF'].'</qualitiesColorOFF>
	';
	$str.='<qualitiesSizeOFF>'.$row['qualitiesSizeOFF'].'</qualitiesSizeOFF>
	';
	$str.='<qualitiesBoldOFF>'.$row['qualitiesBoldOFF'].'</qualitiesBoldOFF>
	';
	$str.='<qualitiesItalicOFF>'.$row['qualitiesItalicOFF'].'</qualitiesItalicOFF>
	';
	$str.='<qualitiesFontON>'.$row['qualitiesFontON'].'</qualitiesFontON>
	';
	$str.='<qualitiesColorON>0x'.$row['qualitiesColorON'].'</qualitiesColorON>
	';
	$str.='<qualitiesSizeON>'.$row['qualitiesSizeON'].'</qualitiesSizeON>
	';
	$str.='<qualitiesBoldON>'.$row['qualitiesBoldON'].'</qualitiesBoldON>
	';
	$str.='<qualitiesItalicON>'.$row['qualitiesItalicON'].'</qualitiesItalicON>
	';
	$str.='<showShareBut>'.$row['showShareBut'].'</showShareBut>
	';
	$str.='<shareFormBackgroundColor>0x'.$row['shareFormBackgroundColor'].'</shareFormBackgroundColor>
	';
	$str.='<shareFormBackgroundTransparency>'.$row['shareFormBackgroundTransparency'].'</shareFormBackgroundTransparency>
	';
	$str.='<shareFormButtonsColor>0x'.$row['shareFormButtonsColor'].'</shareFormButtonsColor>
	';
	$str.='<shareFormLinkText>'.$row['shareFormLinkText'].'</shareFormLinkText>
	';
	$str.='<shareFormEmbededText>'.$row['shareFormEmbededText'].'</shareFormEmbededText>
	';
	$str.='<shareFormSendFriendText>'.$row['shareFormSendFriendText'].'</shareFormSendFriendText>
	';
	$str.='<shareFormYourEmailText>'.$row['shareFormYourEmailText'].'</shareFormYourEmailText>
	';
	$str.='<shareFormFriendEmailText>'.$row['shareFormFriendEmailText'].'</shareFormFriendEmailText>
	';
	$str.='<shareFormPathToHtmlFile>'.$row['shareFormPathToHtmlFile'].'</shareFormPathToHtmlFile>
	';			
	$str.='<mailSubject>'.$row['mailSubject'].'</mailSubject>
	';	
	$str.='<mailContent>'.$row['mailContent'].'</mailContent>
	';																					
	
	$str.='<socialNetWorks>'.str_replace('social/',plugins_url().'/lbg-bottom-playlist-videoplayer/lbg_vp1/social/',$row['socialNetWorks']).'</socialNetWorks>
	';
	$str.='<googleTrakingOn>'.$row['googleTrakingOn'].'</googleTrakingOn>
	';
	$str.='<googleTrakingCode>'.$row['googleTrakingCode'].'</googleTrakingCode>
	';
	$str.='<showSearch>'.$row['showSearch'].'</showSearch>
	';
	$str.='<searchFont>'.$row['searchFont'].'</searchFont>
	';
	$str.='<searchColor>0x'.$row['searchColor'].'</searchColor>
	';
	$str.='<searchBgColor>0x'.$row['searchBgColor'].'</searchBgColor>
	';
	$str.='<searchSize>'.$row['searchSize'].'</searchSize>
	';
	$str.='<searchBold>'.$row['searchBold'].'</searchBold>
	';
	$str.='<searchItalic>'.$row['searchItalic'].'</searchItalic>
	';
	$str.='<searchInputTextLoadingMessage>'.$row['searchInputTextLoadingMessage'].'</searchInputTextLoadingMessage>
	';
	$str.='<searchInputTextMessage>'.$row['searchInputTextMessage'].'</searchInputTextMessage>
	';	
	
	/*$str.='<>'.$row[''].'</>
	';*/
	$str.='
</record>	
</playersettings>';
    $fp = fopen($filename, 'w');
	$fwrite = fwrite($fp, $str);
	if ($fwrite === false) {
		echo '<div id="message" class="error"><p>'.$lbg_vp1_messages['xml_write_error_message'].'</p></div>';
	} else {
		echo '<div id="message" class="updated"><p>'.$lbg_vp1_messages['xml_write_succes_message'].'</p></div>';
	}
}


function lbg_vp1_generate_cssFile() {
	global $wpdb;
	global $lbg_vp1_messages;
	$safe_sql=$wpdb->prepare( "SELECT playerstyles FROM (".$wpdb->prefix ."lbg_videosettings) WHERE id = ".$_SESSION['id'] );
	$row = $wpdb->get_row($safe_sql,ARRAY_A);
	$row=lbg_unstrip_array($row);	
	
	//write css start
	$filename=plugin_dir_path(__FILE__) . 'lbg_vp1/playerstyles_'.$_SESSION['id'].'.css';
    $fp = fopen($filename, 'w');
	$fwrite = fwrite($fp, preg_replace("/(^[\r\n]*|[\r\n]+)[\s\t]*[\r\n]+/", "\n",$row['playerstyles']));
	if ($fwrite === false) {
		echo '<div id="message" class="error"><p>'.$lbg_vp1_messages['css_write_error_message'].'</p></div>';
	} else {
		echo '<div id="message" class="updated"><p>'.$lbg_vp1_messages['css_write_succes_message'].'</p></div>';
	}
	//write css end		
	
}


function lbg_vp1_generate_playlist() {
	global $wpdb;
	global $lbg_vp1_messages;
	$safe_sql=$wpdb->prepare( "SELECT * FROM (".$wpdb->prefix ."lbg_videoplaylist) WHERE playerid = ".$_SESSION['id']." ORDER BY ord" );
	$result = $wpdb->get_results($safe_sql,ARRAY_A);	
	
	//write playlist start
	$filename=plugin_dir_path(__FILE__) . 'lbg_vp1/playlist_'.$_SESSION['id'].'.xml';
	$str='<?xml version="1.0" encoding="utf-8"?>
<gallerylist>
';    
	foreach ( $result as $row ) 
	{
		$row=lbg_unstrip_array($row); 
$str.='<record>
					';
					if (strpos($row['movie'],'http://')===false) 
						$row['movie']="videos/".$row['movie'];
					$str.='<movie>'.$row['movie'].'</movie>
					';
					$str.='<rtmpServer>'.$row['rtmpServer'].'</rtmpServer>
					';
					$str.='<category>'.$row['category'].'</category>	
					';						
					$str.='<title>'.$row['title'].'</title>	
					';				
					$str.='<desc>'.$row['desc'].'</desc>
					';
					if ($row['imgplaylist']) {
					$str.='<imgplaylist>videos/imgplaylist/'.$row['imgplaylist'].'</imgplaylist>
					'; } else {
					$str.='<imgplaylist></imgplaylist>
					';
					}
					if ($row['preview']) {
					$str.='<preview>videos/previews/'.$row['preview'].'</preview>
					'; } else {
					$str.='<preview></preview>
					';
					}
					$str.='</record>
					';		

	}
	$str.='
</gallerylist>';    
    $fp = fopen($filename, 'w');    
	$fwrite = fwrite($fp,$str);
	if ($fwrite === false) {
		echo '<div id="message" class="error"><p>'.$lbg_vp1_messages['xml_write_error_message'].'</p></div>';
	} else {
		echo '<div id="message" class="updated"><p>'.$lbg_vp1_messages['xml_write_succes_message'].'</p></div>';
	}
	//write css end		
	
}




/* ajax update playlist record */

add_action('admin_head', 'lbg_vp1_update_playlist_record_javascript');

function lbg_vp1_update_playlist_record_javascript() {
	global $wpdb;
	//Set Your Nonce
	$lbg_vp1_update_playlist_record_ajax_nonce = wp_create_nonce("lbg_vp1_update_playlist_record-special-string");
?>



<script type="text/javascript" >
function delete_imgplaylist (the_i) {
	$('#playlistimg_div_'+the_i).html('&nbsp;');
    $('#removeImgplaylist_div_'+the_i).css('display','none');
	//update data base
	var data ="action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&updateType=imgplaylist&imgplaylist=&previous_imgplaylist="+document.forms['form-playlist-'+the_i].previous_imgplaylist.value+"&id="+document.forms['form-playlist-'+the_i].id.value;
	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		//no response diplayed. The disappearing photo is the display "message"
	});
	//make previous imgplaylist the current one
	document.forms["form-playlist-"+the_i].previous_imgplaylist.value='';    
}

function delete_preview (the_i) {
	$('#preview_div_'+the_i).html('&nbsp;');
    $('#removePreview_div_'+the_i).css('display','none');
	//update data base
	var data ="updateType=preview&action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&preview=&previous_preview="+document.forms['form-playlist-'+the_i].previous_preview.value+"&id="+document.forms['form-playlist-'+the_i].id.value;
	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		//no response diplayed. The disappearing photo is the display "message"
	});
	//make previous imgplaylist the current one
	document.forms["form-playlist-"+the_i].previous_preview.value='';    
}

//delete the entire record
function delete_entire_record (delete_id) {
	$("#sortable").sortable('disable');
	$("#"+delete_id).css("display","none");
	//$("#sortable").sortable('refresh');
	$("#updating_witness").css("display","block");
	var data = "action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&updateType=delete_entire_record&delete_id="+delete_id;
	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
		$("#sortable").sortable('enable');
		$("#updating_witness").css("display","none");
		//alert('Got this from the server: ' + response);
	});		
}




jQuery(document).ready(function($) {

	$( "#sortable" ).sortable({
		placeholder: "ui-state-highlight",
		start: function(event, ui) {
            ord_start = ui.item.prevAll().length + 1;
        },
		update: function(event, ui) {
        	$("#sortable").sortable('disable');
        	$("#updating_witness").css("display","block");
			var ord_stop=ui.item.prevAll().length + 1;
			var elem_id=ui.item.attr("id");
			//alert (ui.item.attr("id"));
			//alert (ord_start+' --- '+ord_stop);
			var data = "action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&updateType=change_ord&ord_start="+ord_start+"&ord_stop="+ord_stop+"&elem_id="+elem_id;
			// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
			jQuery.post(ajaxurl, data, function(response) {
				$("#sortable").sortable('enable');
				$("#updating_witness").css("display","none");
				//alert('Got this from the server: ' + response);
			});			
		}
	});
	

	
	<?php 
		$rows_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(*) FROM ". $wpdb->prefix . "lbg_videoplaylist;" ) );
		for ($i=1;$i<=$rows_count;$i++) {
	?>
	$('#imgplaylist_upload_<?=$i?>').uploadify({
	    'uploader'  : '<?php echo plugins_url("js/uploadify/uploadify.swf", __FILE__)?>',
	    'script'    : '<?php echo plugins_url("js/uploadify/uploadify.php", __FILE__)?>',
	    'cancelImg' : '<?php echo plugins_url("js/uploadify/cancel.png", __FILE__)?>',
	    'buttonImg' : '<?php echo plugins_url("js/uploadify/upload.png", __FILE__)?>',
	    'folder'    : '../wp-content/plugins/lbg-bottom-playlist-videoplayer/lbg_vp1/videos/imgplaylist',
	    'fileExt'   : '*.jpg;*.gif;*.png',
	    'fileDesc'  : 'Image Files',
	    'auto'		: true,
	    'onComplete'  : function(event, ID, fileObj, response, data) {
		    
		    $('#playlistimg_div_<?=$i?>').html('<img src="'+fileObj["filePath"]+'"/>');
		    $('#removeImgplaylist_div_<?=$i?>').css('display','block');
			//update data base
			var data = "action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&updateType=imgplaylist&imgplaylist="+fileObj['name']+"&uniqueUploadifyID="+ID+"&previous_imgplaylist="+document.forms["form-playlist-<?=$i?>"].previous_imgplaylist.value+"&id="+document.forms["form-playlist-<?=$i?>"].id.value;
			// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
			jQuery.post(ajaxurl, data, function(response) {
				//no response diplayed. The appearing of the new photo is the display "message"
			});
			//make previous imgplaylist the current one
			document.forms["form-playlist-<?=$i?>"].previous_imgplaylist.value=ID+'__'+fileObj['name'];
	      }
	  });



	$('#preview_upload_<?=$i?>').uploadify({
	    'uploader'  : '<?php echo plugins_url("js/uploadify/uploadify.swf", __FILE__)?>',
	    'script'    : '<?php echo plugins_url("js/uploadify/uploadify.php", __FILE__)?>',
	    'cancelImg' : '<?php echo plugins_url("js/uploadify/cancel.png", __FILE__)?>',
	    'buttonImg' : '<?php echo plugins_url("js/uploadify/upload.png", __FILE__)?>',
	    'folder'    : '../wp-content/plugins/lbg-bottom-playlist-videoplayer/lbg_vp1/videos/previews',
	    'fileExt'   : '*.jpg;*.gif;*.png',
	    'fileDesc'  : 'Image Files',
	    'auto'		: true,
	    'onComplete'  : function(event, ID, fileObj, response, data) {
		    
		    $('#preview_div_<?=$i?>').html('<img src="'+fileObj["filePath"]+'"/>');
		    $('#removePreview_div_<?=$i?>').css('display','block');
			//update data base
			var data = "action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&updateType=preview&preview="+fileObj['name']+"&uniqueUploadifyID="+ID+"&previous_preview="+document.forms["form-playlist-<?=$i?>"].previous_preview.value+"&id="+document.forms["form-playlist-<?=$i?>"].id.value;
			// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
			jQuery.post(ajaxurl, data, function(response) {
				//no response diplayed. The appearing of the new photo is the display "message"
			});
			//make previous preview the current one
			document.forms["form-playlist-<?=$i?>"].previous_preview.value=ID+'__'+fileObj['name'];
	      }
	  });	  

	

	$("#form-playlist-<?=$i?>").submit(function(event) {

		/* stop form from submitting normally */
		event.preventDefault(); 
		
		//show loading image
		$('#ajax-message-<?=$i?>').html('<img src="<?=plugins_url('lbg-bottom-playlist-videoplayer/images/ajax-loader.gif', dirname(__FILE__))?>" />');


		//var data = {
			//action: 'lbg_vp1_update_playlist_record',
			//security: '<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>',
			//whatever: 1234
		//};
		var data ="action=lbg_vp1_update_playlist_record&security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; ?>&"+$("#form-playlist-<?=$i?>").serialize();

		// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
		jQuery.post(ajaxurl, data, function(response) {
			//alert('Got this from the server: ' + response);
			//alert($("#form-playlist-<?=$i?>").serialize());
			var mov_title = 'No Title Yet';
			if (document.forms["form-playlist-<?=$i?>"].title.value!='')
				mov_title=document.forms["form-playlist-<?=$i?>"].title.value;
			$('#mov_title_'+document.forms["form-playlist-<?=$i?>"].id.value).html(mov_title);
			
			$('#mov_link_'+document.forms["form-playlist-<?=$i?>"].id.value).html(document.forms["form-playlist-<?=$i?>"].movie.value);
			$('#mov_categ_'+document.forms["form-playlist-<?=$i?>"].id.value).html(document.forms["form-playlist-<?=$i?>"].category.value);
			$('#ajax-message-<?=$i?>').html(response);
		});
	});
	<?php } ?>
	
});
</script>
<?php
}

//lbg_vp1_update_playlist_record is the action=lbg_vp1_update_playlist_record

add_action('wp_ajax_lbg_vp1_update_playlist_record', 'lbg_vp1_update_playlist_record_callback');

function lbg_vp1_update_playlist_record_callback() {
	
	check_ajax_referer( 'lbg_vp1_update_playlist_record-special-string', 'security' ); //security=<?php echo $lbg_vp1_update_playlist_record_ajax_nonce; 
	global $wpdb;
	global $lbg_vp1_messages;
	$errors_arr=array();
	//$wpdb->show_errors();
	
	//delete entire record
	if ($_POST['updateType']=='delete_entire_record') {
		$delete_id=$_POST['delete_id'];
		$safe_sql=$wpdb->prepare("SELECT * FROM ".$wpdb->prefix."lbg_videoplaylist WHERE id = ".$delete_id);
		$row = $wpdb->get_row($safe_sql, ARRAY_A);
		$row=lbg_unstrip_array($row);
		//delete the files
		$foto=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/imgplaylist/' .$row['imgplaylist'];
		if($row['imgplaylist']!='' && file_exists($foto)) unlink($foto);
		$foto=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/previews/' .$row['preview'];
		if($row['preview']!='' && file_exists($foto)) unlink($foto);
		$movie=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/' .$row['movie'];
		if($row['movie']!='' && file_exists($movie)) unlink($movie);
		//delete the entire record
		$wpdb->query($wpdb->prepare("DELETE FROM ".$wpdb->prefix."lbg_videoplaylist WHERE id = ".$delete_id));
		//update the oreder for the rest ord=ord-1 for > ord
		$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."lbg_videoplaylist SET ord=ord-1 WHERE playerid = ".$_SESSION['id']." and  ord>".$row['ord']));
	}

	//update elements order
	if ($_POST['updateType']=='change_ord') {
		$sql_arr=array();
		$ord_start=$_POST['ord_start'];
		$ord_stop=$_POST['ord_stop'];
		$elem_id=(int)$_POST['elem_id'];
		$ord_direction='+1';
		if ($ord_start<$ord_stop) 
			$sql_arr[]="UPDATE ".$wpdb->prefix."lbg_videoplaylist SET ord=ord-1  WHERE playerid = ".$_SESSION['id']." and ord>".$ord_start." and ord<=".$ord_stop;
		else
			$sql_arr[]="UPDATE ".$wpdb->prefix."lbg_videoplaylist SET ord=ord+1  WHERE playerid = ".$_SESSION['id']." and ord>=".$ord_stop." and ord<".$ord_start;
		$sql_arr[]="UPDATE ".$wpdb->prefix."lbg_videoplaylist SET ord=".$ord_stop." WHERE id=".$elem_id;		
		
		//echo "elem_id: ".$elem_id."----ord_start: ".$ord_start."----ord_stop: ".$ord_stop;
		foreach ($sql_arr as $sql)
			$wpdb->query($wpdb->prepare($sql));
	}
	
	//delete previous imgplaylist first and rename the new one
	if ($_POST['updateType']=='imgplaylist') {
		$foto=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/imgplaylist/' .$_POST['previous_imgplaylist'];
		if($_POST['previous_imgplaylist']!='' && file_exists($foto)) unlink($foto);
		if ($_POST['imgplaylist']!='') {
			$oldname=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/imgplaylist/' .$_POST['imgplaylist']; 
			$newname=$_POST['uniqueUploadifyID'].'__'.$_POST['imgplaylist'];
			rename($oldname,plugin_dir_path(__FILE__) . 'lbg_vp1/videos/imgplaylist/' .$newname);
			$_POST['imgplaylist']=$newname;
		}
	}
	//delete previous preview first
	if ($_POST['updateType']=='preview') {
		$foto=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/previews/' .$_POST['previous_preview'];
		if($_POST['previous_preview']!='' && file_exists($foto)) unlink($foto);
		
		if ($_POST['preview']!='') {
			$oldname=plugin_dir_path(__FILE__) . 'lbg_vp1/videos/previews/' .$_POST['preview']; 
			$newname=$_POST['uniqueUploadifyID'].'__'.$_POST['preview'];
			rename($oldname,plugin_dir_path(__FILE__) . 'lbg_vp1/videos/previews/' .$newname);
			$_POST['preview']=$newname;
		}		
	}	
	
	//submit update
	if (!isset($_POST['updateType'])) {
		if (empty($_POST['movie']))
			 $errors_arr[]=$lbg_vp1_messages['empty_movie'];
		if (empty($_POST['category']))
			 $errors_arr[]=$lbg_vp1_messages['empty_category'];			 
	}	
	
	$theid=isset($_POST['id'])?$_POST['id']:0;
	if($theid>0 && !count($errors_arr)) {
		$except_arr=array('Submit'.$theid,'id','ord','action','security','updateType','uniqueUploadifyID','previous_imgplaylist','previous_preview');
		foreach ($_POST as $key=>$val){
			if (in_array($key,$except_arr)) {
				unset($_POST[$key]);
			}
		}
		
		$wpdb->update( 
			$wpdb->prefix .'lbg_videoplaylist', 
			$_POST, 
			array( 'id' => $theid )
		);
		?>
			<div id="message" class="updated"><p><?php echo $lbg_vp1_messages['data_saved'];?></p></div>
	<?php 
	} else if (!isset($_POST['updateType'])) {
		$errors_arr[]=$lbg_vp1_messages['invalid_request'];
	}
    //echo $theid;
    
	if (count($errors_arr)) { ?>
		<div id="error" class="error"><p><?php echo implode("<br>", $errors_arr);?></p></div>
	<?php }

	die(); // this is required to return a proper result
}



?>